<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.prime.com.tr/ui">

    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="#{msgs.site_availabilitymanagement}" />
            <ui:define name="content">
                <p:growl id="growl" showDetail="true"/>
                <h:form id="panel">

                    <p:panel>
                        <h:panelGrid columns="2">
                            <p:calendar value="#{availabilityBean.date}"
                                        mode="inline" showOn="button" popupIconOnly="true" id="date"
                                        selectListener="#{availabilityBean.handleDateSelect}"
                                        onSelectUpdate="table"
                                        locale="en"/>
                            <p:panel>
                                <p:panel>
                                    <h:panelGrid columns="3">
                                        <h:outputLabel value="#{msgs.global_starttime}"  for="startHour"/>
                                        <p:spinner id="startHour"
                                                   value="#{availabilityBean.startHour}"  min="8" max="21" stepFactor="1" size="5"/>
                                        <p:spinner id="startMinutes"
                                                   value="#{availabilityBean.startMinutes}"  min="0" max="45" stepFactor="15" size="5"/>

                                        <h:outputLabel value="#{msgs.global_endtime}"  for="endHour"/>
                                        <p:spinner id="endHour"
                                                   value="#{availabilityBean.endHour}"  min="8" max="21" stepFactor="1" size="5"/>
                                        <p:spinner id="endMinutes"
                                                   value="#{availabilityBean.endMinutes}"  min="0" max="45" stepFactor="15" size="5"/>
                                    </h:panelGrid>
                                    <p:commandButton value="#{msgs.availability_wholeday}" actionListener="#{availabilityBean.setWholeDay}" update="panel"/>
                                </p:panel>
                                <p:panel>
                                    <h:outputLabel value="#{msgs.global_notefor}" for="note" />
                                    <h:inputText id="note" value="#{availabilityBean.availability.note}" title="Note" size="25" />
                                </p:panel>
                            </p:panel>
                        </h:panelGrid>

                    </p:panel>
                    <p:panel>
                        <h:outputLabel value="#{msgs.availability_interval}" for="interval" />
                        <p:spinner id="interval"
                                   value="#{availabilityBean.interval}"  min="0" stepFactor="1" size="5"/>
                        <h:outputLabel value="#{msgs.availability_days} " for="interval" />
                    </p:panel>

                    <p:messages />

                    <p:commandButton value="#{msgs.global_submit}" actionListener="#{availabilityBean.saveAvailability}" update="table,growl,panel"/>

                </h:form>
                <h:form id="table" >
                    <p:dataTable value="#{availabilityBean.allAvailabilities}" var="availability" style="margin-top: 15px">
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_starttime}"/>
                            </f:facet>
                            <h:outputText value="#{availability.startTime}">
                                <f:convertDateTime pattern="HH:mm" type="time" dateStyle="default" timeZone="GMT+1" />
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_endtime}"/>
                            </f:facet>
                            <h:outputText value="#{availability.endTime}">
                                <f:convertDateTime pattern="HH:mm" type="time" dateStyle="short"  timeZone="GMT+1"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_note}"/>
                            </f:facet>
                            <h:outputText value="#{availability.note}"/>
                        </p:column>
                        <p:column>
                             <f:facet name="header">
                                <h:outputText value="#{msgs.global_delete}"/>
                            </f:facet>
                            <p:commandLink value="#{msgs.global_delete}" actionListener="#{availabilityBean.deleteAvailability}" update="table,panel,growl" styleClass="ui-icon ui-icon-trash"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </ui:define>
        </ui:composition>

    </body>
</html>
